summaryrefslogtreecommitdiff
path: root/9_resync.sh
diff options
context:
space:
mode:
Diffstat (limited to '9_resync.sh')
-rwxr-xr-x9_resync.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/9_resync.sh b/9_resync.sh
new file mode 100755
index 0000000..ed2dd13
--- /dev/null
+++ b/9_resync.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+. ./config-DEFAULTS || exit 1
+. ./config-HOST || exit 1
+. ./config-TARGET || exit 1
+. ./config-MANDATED || exit 1
+. ./functions || exit 1
+
+mount "$rootdev_host" "$mountpoint"
+rsync -av --delete --one-file-system "$mountpoint/"* "$targettemp/" --exclude 'etc/shadow*' --exclude 'etc/gshadow*' --exclude 'etc/ssh/ssh_host_*_key*' --exclude 'root/**' --dry-run
+'/root:[^:]*/root:'
+umount "$mountpoint"